IS_VALID_ETHER_ADDR(9)

NAME
is_valid_ether_addr - Determine if the given Ethernet address is valid

SYNOPSIS

bool is_valid_ether_addr(const u8 * addr);

ARGUMENTS

addr
    Pointer to a six-byte array containing the Ethernet address

DESCRIPTION

Check that the Ethernet address (MAC) is not 00:00:00:00:00:00, is not a multicast address, and is not FF:FF:FF:FF:FF:FF.

Return true if the address is valid.

PLEASE NOTE

addr must be aligned to u16.

COPYRIGHT